package com.ruoyi.project.invoice.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.invoice.domain.TInvoiceUserUnit;

import java.util.List;

/**
 * 用户单位管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-09-07
 */
public interface TInvoiceUserUnitMapper
{
    /**
     * 查询用户单位管理
     *
     * @param id 用户单位管理ID
     * @return 用户单位管理
     */
    public TInvoiceUserUnit selectTInvoiceUserUnitById(Long id);

    /**
     * 查询用户单位管理
     *
     * @param id 用户单位管理ID
     * @return 用户单位管理
     */
    public List<TInvoiceUserUnit> selectTInvoiceUserUnitByUnit(String userUnit);
    @DataScope(deptAlias = "d")
    public List<TInvoiceUserUnit> selectAllTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit);

    /**
     * 查询用户单位管理列表
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 用户单位管理集合
     */
    @DataScope(deptAlias = "d")
    public List<TInvoiceUserUnit> selectTInvoiceUserUnitList(TInvoiceUserUnit tInvoiceUserUnit);

    @DataScope(deptAlias = "d")
    public List<TInvoiceUserUnit> selectTInvoiceUserUnitListToExcel(TInvoiceUserUnit tInvoiceUserUnit);

    /**
     * 新增用户单位管理
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 结果
     */
    public int insertTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit);

    /**
     * 修改用户单位管理
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 结果
     */
    public int updateTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit);

    /**
     * 删除用户单位管理
     *
     * @param id 用户单位管理ID
     * @return 结果
     */
    public int deleteTInvoiceUserUnitById(Long id);

    /**
     * 批量删除用户单位管理
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTInvoiceUserUnitByIds(Long[] ids);
}
